<?php  
defined('BASEPATH') OR exit('No direct script access allowed');  
  
class Channels extends CI_Controller {  
      
    public function index()  
    {  
        $this->load->view('hello_world');  
    }  
	
	public function getChannelsData($arg1){
		
		$this->load->model('ChannelsData');
		
		$mainCategories = $this->ChannelsData->fetchChannelsData();
		
		echo json_encode($mainCategories);
		//echo($mainCategories);
		
	}
}  
?>  